com.pdfunit.validators

## Class MultiDocumentTextValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentTextValidator

-     @DoNotObfuscate
      public final class MultiDocumentTextValidator
      extends java.lang.Object

  This class provides validation methods for a collection of PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016
  See Also:
    `TextValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentTextValidator(MultiDocumentValidator multiDocumentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentTextValidator` | `containing(java.lang.String... expectedTokens)` This method checks that each document of a set of given PDF documents contains the expected text in the pages and areas that are defined before.
    `MultiDocumentTextValidator` | `containing(java.lang.String expectedToken)` This method checks that each document of a set of given PDF documents contains the expected text in the pages and areas that are defined before.
    `MultiDocumentTextValidator` | `containing(java.lang.String[] expectedTokens, WhitespaceProcessing whitespaceProcessing)` This method checks that each document of a set of given PDF documents contains the expected text in the pages and areas that are defined before.
    `MultiDocumentTextValidator` | `endingWith(java.lang.String expectedToken)` This method verifies for each document that the text on every page in effect ends with the given parameter.
    `MultiDocumentTextValidator` | `equalsTo(java.lang.String expectedToken)` This method verifies for each document that the text on every page in effect is equals to the expected value.
    `MultiDocumentTextValidator` | `equalsTo(java.lang.String expectedText, WhitespaceProcessing whitespaceProcessing)` This method verifies for each document that the text on every page in effect is equals to the expected value.
    `void` | `hasNoText()` This method checks, that each document of the given set of PDF documents does not have text in the defined pages.
    `MultiDocumentTextValidator` | `hasText()` This method checks that each document of the given set of PDF documents contains text on the pages that are defined by the parameter.
    `MultiDocumentTextValidator` | `matchingRegex(java.lang.String expectedToken)` This method verifies for each document that the text on every page in effect matches the regular expression given by the parameter.
    `MultiDocumentTextValidator` | `notContaining(java.lang.String... expectedTokens)` This method checks that each document of a set of given PDF documents does not contain the expected text in the pages and areas that are defined before.
    `MultiDocumentTextValidator` | `notContaining(java.lang.String expectedToken)` This method checks that each document of a set of given PDF documents does not contain the expected text in the pages and areas that are defined before.
    `MultiDocumentTextValidator` | `notContaining(java.lang.String[] expectedTokens, WhitespaceProcessing normalize)` This method checks that each document of a set of given PDF documents does not contain the expected text in the pages and areas that are defined before.
    `MultiDocumentTextValidator` | `notEndingWith(java.lang.String expectedToken)` This method verifies for each document that the text on every page in effect does not end with the given parameter.
    `MultiDocumentTextValidator` | `notMatchingRegex(java.lang.String expectedToken)` This method verifies for each document that the text on every page in effect does not match the regular expression given by the parameter.
    `MultiDocumentTextValidator` | `notStartingWith(java.lang.String expectedToken)` This method verifies for each document that the text on every page in effect does not start with the given parameter.
    `MultiDocumentTextValidator` | `startingWith(java.lang.String expectedToken)` This method verifies for each document that the text on every page in effect starts with the given parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentTextValidator

          protected MultiDocumentTextValidator(MultiDocumentValidator multiDocumentValidator)

  - ### Method Detail

    - #### containing

          @Guarded
          public MultiDocumentTextValidator containing(java.lang.String expectedToken)

      This method checks that each document of a set of given PDF documents contains the expected text in the pages and areas that are defined before.

    - #### containing

          @Guarded
          public MultiDocumentTextValidator containing(java.lang.String... expectedTokens)

      This method checks that each document of a set of given PDF documents contains the expected text in the pages and areas that are defined before.

    - #### containing

          @Guarded
          public MultiDocumentTextValidator containing(java.lang.String[] expectedTokens,
                                                      WhitespaceProcessing whitespaceProcessing)

      This method checks that each document of a set of given PDF documents contains the expected text in the pages and areas that are defined before.

    - #### endingWith

          @Guarded
          public MultiDocumentTextValidator endingWith(java.lang.String expectedToken)

      This method verifies for each document that the text on every page in effect ends with the given parameter. Whitespaces are stripped before.

    - #### hasNoText

          public void hasNoText()

      This method checks, that each document of the given set of PDF documents does not have text in the defined pages.

      An exceptions is thrown, when text was found.

    - #### hasText

          public MultiDocumentTextValidator hasText()

      This method checks that each document of the given set of PDF documents contains text on the pages that are defined by the parameter.

    - #### equalsTo

          @Guarded
          public MultiDocumentTextValidator equalsTo(java.lang.String expectedToken)

      This method verifies for each document that the text on every page in effect is equals to the expected value. Whitespace is normalized first.
      See Also:
        `WhitespaceProcessing`

    - #### equalsTo

          @Guarded
          public MultiDocumentTextValidator equalsTo(java.lang.String expectedText,
                                                    WhitespaceProcessing whitespaceProcessing)

      This method verifies for each document that the text on every page in effect is equals to the expected value. The whitespace processing is handled first.
      See Also:
        `WhitespaceProcessing`

    - #### matchingRegex

          @Guarded
          public MultiDocumentTextValidator matchingRegex(java.lang.String expectedToken)

      This method verifies for each document that the text on every page in effect matches the regular expression given by the parameter.

    - #### notContaining

          @Guarded
          public MultiDocumentTextValidator notContaining(java.lang.String expectedToken)

      This method checks that each document of a set of given PDF documents does not contain the expected text in the pages and areas that are defined before.

    - #### notContaining

          @Guarded
          public MultiDocumentTextValidator notContaining(java.lang.String... expectedTokens)

      This method checks that each document of a set of given PDF documents does not contain the expected text in the pages and areas that are defined before.

    - #### notEndingWith

          @Guarded
          public MultiDocumentTextValidator notEndingWith(java.lang.String expectedToken)

      This method verifies for each document that the text on every page in effect does not end with the given parameter. Whitespaces are stripped before.

    - #### notMatchingRegex

          @Guarded
          public MultiDocumentTextValidator notMatchingRegex(java.lang.String expectedToken)

      This method verifies for each document that the text on every page in effect does not match the regular expression given by the parameter.

    - #### notStartingWith

          @Guarded
          public MultiDocumentTextValidator notStartingWith(java.lang.String expectedToken)

      This method verifies for each document that the text on every page in effect does not start with the given parameter. Whitespaces are stripped before.

    - #### notContaining

          @Guarded
          public MultiDocumentTextValidator notContaining(java.lang.String[] expectedTokens,
                                                         WhitespaceProcessing normalize)

      This method checks that each document of a set of given PDF documents does not contain the expected text in the pages and areas that are defined before.

    - #### startingWith

          @Guarded
          public MultiDocumentTextValidator startingWith(java.lang.String expectedToken)

      This method verifies for each document that the text on every page in effect starts with the given parameter. Whitespaces are stripped before.

Copyright (C) PDFUnit.com. See here for license.